Oracle Java - ByteComponentRaster.verify() Memory Corruption

EDB-ID:

27943

CVE:





Platform:

Windows

Date:

2013-08-29


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux , the course required to become an Offensive Security Certified Professional (OSCP)

GET CERTIFIED

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

+------------------------------------------------------------------------------+
| Packet Storm Advisory 2013-0827-1                                            |
| http://packetstormsecurity.com/                                              |
+------------------------------------------------------------------------------+
| Title: Oracle Java ByteComponentRaster.verify() Memory Corruption            |
+--------------------+---------------------------------------------------------+
| Release Date       | 2013/08/27                                              |
| Advisory Contact   | Packet Storm (advisories@packetstormsecurity.com)       |
| Researcher         | Name Withheld                                           |
+--------------------+---------------------------------------------------------+
| System Affected    | Oracle Java                                             |
| Versions Affected  | Prior to 7u25                                           |
| Vendor Patched     | 2013/06/18                                              |
| Classification     | 0-day                                                   |
+--------------------+---------------------------------------------------------+

+----------+
| OVERVIEW |
+----------+

The release of this advisory provides exploitation details in relation to a 
known patched vulnerability in Oracle Java.   These details were obtained 
through the Packet Storm Bug Bounty program and are being released to the 
community.


+------------------------------------------------------------------------------+

+---------+
| DETAILS |
+---------+

The ByteComponentRaster.verify() method in Oracle Java versions prior to 7u25 
is vulnerable to a memory corruption vulnerability that allows bypassing of
"dataOffsets[]" boundary checks.  This vulnerability allows for remote code 
execution.  User interaction is required for this exploit in that the target 
must visit a malicious page or open a malicious file.

+------------------------------------------------------------------------------+

+------------------+
| PROOF OF CONCEPT |
+------------------+

The full exploit code that pops calc.exe is available here:

http://packetstormsecurity.com/files/122980/
https://github.com/offensive-security/exploitdb-bin-sploits/raw/master/bin-sploits/27943.tgz

+------------------------------------------------------------------------------+

+---------------+
| RELATED LINKS |
+---------------+

http://www.oracle.com/technetwork/java/javase/7u25-relnotes-1955741.html

+------------------------------------------------------------------------------+


+----------------+
| SHAMELESS PLUG |
+----------------+

The Packet Storm Bug Bounty program gives researchers the ability to profit 
from their discoveries.  You can get paid thousands of dollars for one day 
and zero day exploits.  Get involved by contacting us at 
getpaid@packetstormsecurity.com or visit the bug bounty page at: 

http://packetstormsecurity.com/bugbounty/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIdRaAACgkQrM7A8W0gTbHLCgCfSEFGJWOda4xJj2AnSVQ8NvSa
wq0AoJfytQaLA4vyhtpiAYRrDoL3wYlu
=qJno
-----END PGP SIGNATURE-----